;==================================================
; Skin Information
;==================================================
[Rainmeter]
Update=2000

;==================================================


;==================================================
[Metadata]
Name=Signal Source



Tags=GPS | Weather | Map



Preview=Preview.jpg
;==================================================
;End of added Metadata
;==================================================


;==================================================
; Defining Variables
;==================================================
[Variables]
mapwidth=350

IPLocationTools=http://www.iplocationtools.com
GPScordsub="":"0"
WScodesub="":"Data Not Found!"
TargetColor=103,175,63
TargetInfoColor=103,175,63

@include=#SKINSPATH#\Tonxico Suite\World Signal Source\Launcher Config.inc

ShowText=[!RainmeterHideMeter Icon][!RainmeterShowMeter HideIcon][!RainmeterShowMeter MeterShowMap][!RainmeterShowMeter MeterLatLine][!RainmeterShowMeter MeterLongLine][!RainmeterShowMeter MeterTarget][!RainmeterShowMeter MeterHoverZone][!RainmeterShowMeter MeterHoverTargetInfo][!RainmeterShowMeter dot1][!RainmeterShowMeter dot2][!RainmeterShowMeter dot3][!RainmeterShowMeter dot4][!RainmeterShowMeter dot5][!RainmeterShowMeter dot6][!RainmeterShowMeter dot7][!RainmeterShowMeter dot8][!RainmeterShowMeter dot9][!RainmeterShowMeter dot10][!RainmeterShowMeter dot11][!RainmeterShowMeter dot12][!RainmeterShowMeter dot13][!RainmeterRedraw]
HideText=[!RainmeterShowMeter Icon][!RainmeterHideMeter HideIcon][!RainmeterHideMeter MeterShowMap][!RainmeterHideMeter MeterLatLine][!RainmeterHideMeter MeterLongLine][!RainmeterHideMeter MeterTarget][!RainmeterHideMeter MeterHoverZone][!RainmeterHideMeter MeterHoverTargetInfo][!RainmeterHideMeter dot1][!RainmeterHideMeter dot2][!RainmeterHideMeter dot3][!RainmeterHideMeter dot4][!RainmeterHideMeter dot5][!RainmeterHideMeter dot6][!RainmeterHideMeter dot7][!RainmeterHideMeter dot8][!RainmeterHideMeter dot9][!RainmeterHideMeter dot10][!RainmeterHideMeter dot11][!RainmeterHideMeter dot12][!RainmeterHideMeter dot13][!RainmeterRedraw]



[Icon]
Meter=Image
ImageName=Mapa.png
x=170
y=1
DynamicVariables=1
ToolTipType=1
LeftMouseUpAction=!Execute #ShowText#

[HideIcon]
Meter=Image
ImageName=Mapa.png
x=170
y=1
Hidden=1

DynamicVariables=1
ToolTipType=1
LeftMouseUpAction=!Execute #HideText#


[MeasureIP2Lat]
Measure=Plugin
Plugin=Plugins\WebParser.dll
URL=#IPLocationTools#
RegExp="(?siU)Coordinates.*title="Google Map">(.*)&deg.*&nbsp;&nbsp;&nbsp;(.*)&deg.*Weather Station Code.*align="left">(.*)</td>"
UpdateRate=9999999999
Substitute=#GPScordsub#
StringIndex=1

[MeasureIP2Long]
Measure=Plugin
Plugin=Plugins\WebParser.dll
URL=[MeasureIP2Lat]
UpdateRate=9999999999
Substitute=#GPScordsub#
StringIndex=2

[MeasureIP2WScode]
Measure=Plugin
Plugin=Plugins\WebParser.dll
URL=[MeasureIP2Lat]
UpdateRate=9999999999
Substitute=#WScodesub#
StringIndex=3

[MeasureLatLineCalc]
Measure=Calc
formula=(((3264*#mapwidth#/5000)*0.609)-([MeasureIP2Lat]*16.976*#mapwidth#/5000))
DynamicVariables=1

[MeasureLongLineCalc]
Measure=Calc
formula=((#mapwidth#*0.474)+([MeasureIP2Long]*12.557*#mapwidth#/5000))
DynamicVariables=1

[MeasureTargetYCalc]
Measure=Calc
formula=([MeasureLatLineCalc]-6)
DynamicVariables=1

[MeasureTargetXCalc]
Measure=Calc
formula=([MeasureLongLineCalc]+1)
DynamicVariables=1

[MeasureMapHeightCalc]
Measure=Calc
formula=(3264*#mapwidth#/5000)

[MeterShowMap]
Meter=Image
ImageName=Image\Map.png
Hidden=1
SolidColor=0,0,0,1
W=#mapwidth#
PreserveAspectRatio=1


[MeterLatLine]
Meter=Image
SolidColor=#TargetColor#
Y=[MeasureLatLineCalc]
W=(#mapwidth#-40)
H=1
Hidden=1
LeftMouseUpAction=!execute ["http://7themes.su/"]
ToolTipText="Открыть 7THEMES"
MouseActionCursor=1
DynamicVariables=1
SolidColor=#TargetColor#
[MeterLongLine]
Meter=Image
SolidColor=#TargetColor#
X=[MeasureLongLineCalc]
W=1
H=([MeasureMapHeightCalc]-30)
ToolTipText="Открыть 7THEMES"
Hidden=1
MouseActionCursor=1
LeftMouseUpAction=!execute ["http://7themes.su/"]
DynamicVariables=1

[MeterTarget]
Meter=String
X=[MeasureTargetXCalc]
Y=[MeasureTargetYCalc]
FontColor=#TargetColor#
StringStyle=BOLD
StringAlign=CENTER
Text="O"
Hidden=1
ClipString=1
AntiAlias=1
ToolTipText="Открыть 7THEMES"
MouseActionCursor=1
LeftMouseUpAction=!execute ["http://7themes.su/"]
DynamicVariables=1

[MeterHoverZone]
Meter=Image
X=([MeasureTargetXCalc]-30)
Y=([MeasureTargetYCalc]-30)
W=100
H=100
Hidden=1
DynamicVariables=1
MouseOverAction=!Execute [!RainmeterShowMeterGroup Hover][!RainmeterRedraw]
MouseLeaveAction=!Execute [!RainmeterHideMeterGroup Hover][!RainmeterRedraw]

[MeterHoverTargetInfo]
Meter=Image
ImageName=
X=([MeasureTargetXCalc]0)
Y=([MeasureTargetYCalc]-28)
W=30
H=30
Hidden=0
AntiAlias=1
DynamicVariables=1

==============================================================



